<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *  
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/

require_once('cpaint/cpaint2.inc.php');
include 'config.php';
include PRJ_CLASS_PATH.'tzn_generic.php';
include PRJ_CLASS_PATH.TZN_DB_CLASS;
include PRJ_CLASS_PATH.'pkg_freak.php';

$cp = new cpaint();
$cp->register('load_edit');
$cp->register('load_view');
$cp->start();
$cp->return_data();

function load_edit($id) {
	global $cp;

	$objTask = new Task();
	$objTask->setUid($id);
	if ($objTask->load()) {
		$cp->set_data($objTask->description);
	} else {
		$cp->set_data('item not found!');
	}
	return;
}

function load_view($id) {
	global $cp;

	$objTask = new Task();
	$objTask->setUid($id);
	if ($objTask->load()) {
		$cp->set_data(nl2br($objTask->getBbs('description')));
	} else {
		$cp->set_data('item not found!');
	}
	return;
}

?>
