<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/


include 'config.php';
include PRJ_ROOT_PATH.'language/lg_'.FRK_LANGUAGE.'.php';
include PRJ_CLASS_PATH.'tzn_generic.php';
include PRJ_CLASS_PATH.TZN_DB_CLASS;
include PRJ_CLASS_PATH.'pkg_freak.php';

$objItemList = new Task();

// show today's tasks + tasks with no deadline and undone
$objItemList->addWhere('status < 5');

// --- ordering statement ---
$pSort = ($_REQUEST['sort'])?$_REQUEST['sort']:
	((defined('FRK_SORT_COLUMN'))?FRK_SORT_COLUMN:'deadlineDate');
$pDir = ($_REQUEST['dir'])?$_REQUEST['dir']:
	((defined('FRK_SORT_ORDER'))?FRK_SORT_ORDER:1);
$objItemList->setOrder($pSort,$pDir);

// number of items to load
$rssSize = '0,'.(defined('FRK_RSS_SIZE'))?FRK_RSS_SIZE:8;

// load
$objItemList->loadList($rssSize);

header('Content-type: text/xml');
echo '<'.'?xml version="1.0"?'.'>';
echo "\n";
?>
<rss version="2.0">
<channel>
<title>TaskFreak! Next tasks</title>
<link><?php echo PRJ_WWW_URL; ?></link>
<?php
while ($objItem = $objItemList->rNext()) {
?>
<item>
<title><![CDATA[<?php echo $objItem->project.': '.$objItem->title; ?>]]></title>
<?php if ($objItem->deadlineDate != '9999-00-00' || $objItem->description) { ?>
<description><![CDATA[<?php
if ($objItem->deadlineDate != '9999-00-00') {
	echo '['.$objItem->getDte('deadlineDate','SHT').'] ';
}
if ($objItem->description) {
	echo "\n".$objItem->description;
}
?>]]></description>
<?php } ?>
<link><?php echo PRJ_WWW_URL; ?>?rssId=<?php echo $objItem->id; ?></link>
</item>
<?php
}
?>
</channel>
</rss>
