<?php
error_reporting(E_ALL ^ E_NOTICE);
define('TZN_DEBUG',2);
define('TZN_SPECIALCHARS',1);
define('TZN_HTMLMODE','html');
define('TZN_BOOL_TRUE','<img src="images/check_yes.png" width="12" height="13" border="0" />');
define('TZN_BOOL_FALSE','<img src="images/check_no.png" width="12" height="13" border="0" />');
define('TZN_DATEFIELD','SQL');
define('TZN_TRANS_ID',1);

define('TZN_DB_DEBUG',2);
define('TZN_DB_PERMANENT',0);

define('TZN_FILE_SLASH',(strstr( PHP_OS, "WIN"))?"\\":"/");

define('PRJ_ROOT_PATH',dirname(__FILE__).TZN_FILE_SLASH);
define('PRJ_CLASS_PATH',PRJ_ROOT_PATH.'classes'.TZN_FILE_SLASH);
define('PRJ_WWW_PATH',PRJ_ROOT_PATH);

$weburl = 'http://'.$_SERVER['HTTP_HOST'];
if ($i = strrpos($_SERVER['REQUEST_URI'],'/')) {
   $weburl .= substr($_SERVER['REQUEST_URI'],0,$i).'/';
}
define('PRJ_WWW_URL',$weburl);
unset($weburl);

/* ------------------------- MODIFY HERE !! ---------------------------- */

// user time zone
// "server" = same timezone as server
// otherwise put number of seconds from GMT
// e.g. Bangkok = 25200 (GMT +7), New York = -18000 (GMT -5)
define('TZN_TZDEFAULT','server'); 

/* --- MySQL ----------------------------------------------------------- */
// define("TZN_DB_HOST","192.168.0.10");
define('TZN_DB_HOST','localhost');
define('TZN_DB_USER','root');
define('TZN_DB_PASS','');
define('TZN_DB_BASE','taskfreak');
define('TZN_DB_CLASS','tzn_mysql.php');

/* --- SQLite ---------------------------------------------------------- 
define("TZN_DB_FILE",PRJ_ROOT_PATH."taskfreak.db");
define("TZN_DB_PERMS",0666);
define("TZN_DB_CLASS","tzn_sqlite.php");
define("TZN_PHP4_SQLITE",1); // for PHP4 compatibility, leave it alone
*/

// database table prefix
// (useful to have multiple taskfreaks using the same database)
define('TZN_DB_PREFIX','');

/* ---- CUSTOMIZATION -------------------------------------------------- */
// number of priority levels
define('FRK_PRIORITY_LEVELS',9);	// 3, 5 or 9
// how many levels to get status at 100%
define('FRK_STATUS_LEVELS',5);		// 1 to 5
// language of the interface
define('FRK_LANGUAGE','en');	// en, fr, es, de, nl
// includes tasks with no deadline by default or not
define('FRK_NO_DEADLINE_TOO',TRUE);	// TRUE or FALSE 
// when task without deadline is marked as done, show for how many days
define('FRK_NO_DEADLINE_KEEP',0);	// number of days 
// deadline: displays day of the week (or tomorrow) or '1 day'
define('FRK_DATEDIFF_MODE','day');	// day or diff
// deadline: displays 'tomorrow' for next day 
define('FRK_DATEDIFF_TOMORROW',TRUE); // TRUE or FALSE
// add column context
define('FRK_CONTEXT_ENABLE',TRUE);	// TRUE or FALSE
// show full text (true) or icons (false)
define('FRK_CONTEXT_LONG',FALSE);	// TRUE or FALSE
// add description to tasks / todos
define('FRK_DESCRIPTION_ENABLE',TRUE);		// TRUE OR FALSE
// sort order by default (also used for RSS field)
define('FRK_SORT_COLUMN','deadline'); // deadlinedate, priority, project...
define('FRK_SORT_ORDER',1); // 1 = Ascending, -1 = Descending
// number of items in RSS file
define('FRK_RSS_SIZE',8);
// charset (for unicode support)
define('FRK_CHARSET','UTF-8');
?>
