<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *  
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/

// locale
setlocale(LC_ALL,'nl_NL.utf8','nl_NL','nl');

// contexts 
// when translating, avoid changing the key (single letter)
$_GLOBALS['arrContexts'] = array (
	'W' => 'Werk',
	'H' => 'Huis',
	'I' => 'Internet',
	'P' => 'Telefoon',
	'A' => 'Altijd',
	'O' => 'Overig');

/* 
This translation would be prefered, but changes the keys... (Ruben Steins)
	'W' => 'Werk',
	'P' => 'Privé',
	'I' => 'Internet',
	'T' => 'Telefoon',
	'O' => 'Overal',
	'A' => 'Anders'
*/

// top menu / navigation
$GLOBALS['arrLanguageMenu'] = array (
	'task'				=> 'Taak',
	'new_todo'			=> 'Nieuwe Todo',
	'view'				=> 'Beeld',
	'all_projects'		=> 'Alle Projecten',
	'future_tasks'		=> 'Toekomstige Taken',
	'past_tasks'		=> 'Oude Taken',
	'all_tasks'			=> 'Alle Taken',
	'all_contexts'		=> 'Alle Contexten',
	'reload'			=> 'Herladen',
	'manage'			=> 'Beheer',
	'projects'			=> 'Projecten'
);

// fields and column labels
$GLOBALS['arrLanguageForm'] = array (
	'priority'			=> 'Prioriteit',
	'context'			=> 'Context',
	'deadline'			=> 'Deadline',
	'project'			=> 'Project',
	'tasks'				=> 'Taken',
	'title'				=> 'Titel',
	'description'		=> 'Omschrijving',
	'status'			=> 'Status',
	'save'				=> 'Opslaan',
	'cancel'			=> 'Annuleren',
	'new'				=> 'Nieuw',
	'project_new'		=> 'new project?',
	'project_list'		=> 'show list'
);

// date support
$GLOBALS['arrLanguageDate'] = array (
	'today'				=> 'vandaag',
	'tomorrow'			=> 'morgen',
	'day'				=> 'dag',
	'week'				=> 'week',
	'month'				=> 'maand',
	'year'				=> 'jaar'
);

$GLOBALS['arrLanguageDateDay'] = array (
    'monday'            => 'maandag',
    'tuesday'           => 'dinsdag',
    'wednesday'         => 'woensdag',
    'thursday'          => 'donderdag',
    'friday'            => 'vrijdag',
    'saturday'          => 'zaterdag',
    'sunday'            => 'zondag'
);

$GLOBALS['arrLanguageDateMore'] = array (
	'days'				=> 'dags',
	'help'				=> 'bijv. vandaag, morgen, 12 apr'
);

// error and information messages
$GLOBALS['arrLanguageMessage'] = array (
    'task_edit'             => "Edit this task",
    'task_delete'           => "Delete this task",
    'task_delete_confirm'   => "Really delete this task?",
	'error_no_title'		=> "geef aub een titel op!",
	'done_deleted'			=> "taak gewist!",
	'done_status'			=> "status van de taak gewijzigd",
	'done_updated'			=> "taak gewijzigd!",
	'done_added'			=> "taak aangemaakt!",
	'purge_all'				=> "opschonen (verwijder oude taken) van alle projecten",
	'purge_all_confirm'		=> "bevestig verwijderen van oude taken van alle projecten?",
	'delete_all'			=> "verwijder alle projecten (en alle taken)",
	'delete_all_confirm'	=> "bevestig verwijderen van alle taken van alle projecten?",
	'purge_one'				=> "opschonen (verwijder oude taken)",
	'purge_one_confirm'		=> "bevestig verwijderen van oude taken van dit project?",
	'delete_one'			=> "het gehele project wissen?",
	'delete_one_confirm'	=> "bevestig het wissen van het hele project?",
	'no_task_found'			=> "Opes, het spijt me, maar ik kon geen taken/todo's in de database vinden",
	'create_task'			=> "Klik hier om er een te proberen te maken",
	'no_project_found_1'	=> "Potverdrie! Ik kan geen project vinden!!!",
	'no_project_found_2'	=> "Het helpt waarschijnlijk als je eerst een taak aanmaakt",
	'close_window'			=> 'dit venster sluiten'

);
?>
